<?php

/**
 * @file
 *   Collect and display stats information about .po file states.
 */

// Table header.
printf ("File names                 TR |  UN |  FZ |\n");
print str_repeat('-', 45) ."\n";
$sums = array();

$files = glob('*.po');
foreach ($files as $file) {
  // Get stats information through standard output.
  $stat = `msgfmt --output-file=/dev/null --statistics $file 2>&1`;

  // Artificial 25 char file name length boundary.
  echo $file . str_repeat(' ', 25 - strlen($file));

  // Usual patterns from the stats.
  $patterns = array('translated message', 'untranslated message', 'fuzzy translation');
  foreach ($patterns as $pid => $pattern) {
    if (preg_match('!(^| )(\d+) '. $pattern . '!', $stat, $match)) {
      $sums[$pid] += $match[2];
      printf('%4d', $match[2]);
    }
    else {
      echo '    ';
    }
    echo ' |';
  }
  echo "\n";
}

// Table footer.
print str_repeat('-', 45) ."\n";
printf ("Summary                  %3d | %3d | %3d |\n\n", $sums[0], $sums[1], $sums[2]);
