<?php

/**
 * @file
 *   Translation template updater. Run from the command line, call with
 *
 *     php update.php translation.po translation.pot 6.0
 *
 *   To get the file list and version header in translation.po updated
 *   based on contents from translation.pot. The 6.0 version number is
 *   directly used in the po file in the output.
 */

$translation = file_get_contents($argv[1]);
$template = file_get_contents($argv[2]);

if ($template && $translation) {
  if (preg_match("!Generated from files?:(.+)msgid \"\"!Us", $template, $found)) {
    $translation = preg_replace(
      "!Generated from files?:(.+)msgid \"\"!Us",
      str_replace("#, fuzzy\n", "", $found[0]),
      $translation
    );
    if (preg_match("!^drupal-(\\d.\\d.\\d)$!", $argv[3], $found)) {
      $translation = preg_replace(
        '!"Project-Id-Version: Drupal ([^\\\\]+)\\\\!',
        '"Project-Id-Version: Drupal ' . $found[1] . '\\',
        $translation
      );
    }
    if ($out = fopen($argv[1], "w")) {
      echo "written\n";
      fwrite($out, $translation);
      fclose($out);
    }
  }
}
